AsterNet Class Library (Sandcastle documentation)

| SocketConnection Constructor

Consructor

Namespace: AsterNET.IO
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public SocketConnection(
    	string host,
    	int port,
    	Encoding encoding
    )

    Public Sub New (
    	host As String,
    	port As Integer,
    	encoding As Encoding
    )

    public:
    SocketConnection(
    	String^ host,
    	int port,
    	Encoding^ encoding
    )

    new :
            host : string *
            port : int *
            encoding : Encoding -> SocketConnection

#### Parameters

host
  Type: System
  String
  client host
port
  Type: System
  Int32
  client port
encoding
  Type: System.Text
  Encoding
  encoding

See Also

#### Reference

SocketConnection Class
AsterNET.IO Namespace